#include <cassert>
#include <iostream>
#include "ogrsf_frmts.h"

int main()
{
    std::cout << "Test: open\n";

    OGRRegisterAll();

    OGRDataSource *poDS = NULL;
    poDS = OGRSFDriverRegistrar::Open("./abc.shp", FALSE);
    if (poDS == NULL)
    {
        std::cout << "Can not create abc.shp\n";
        return 0;
    }

    OGRSFDriver *poDriver = NULL;
    poDriver = poDS->GetDriver();
    if (NULL == poDriver)
        std::cout << "NOT OK! Driver is NULL!\n";
    else
        std::cout << "OK! Driver attached!\n";

    OGRDataSource::DestroyDataSource(poDS);
}

